debug_storageRangeAt - BSC
Example code for the debug_storageRangeAt JSON RPC method. Сomplete guide on how to use debug_storageRangeAt JSON RPC in GetBlock Web3 documentation.
The debug_storageRangeAt method returns the storage range for a contract at a specific block on the BNB Smart Chain.
Parameters
Parameter
Type
Required
Description
blockHash
string
Yes
Block hash
txIndex
number
Yes
Transaction index
address
string
Yes
Contract address
startKey
string
Yes
Starting storage key
maxResults
number
Yes
Maximum results
Request Example
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "debug_storageRangeAt",
"params": [
"0x4e3a3754410177e6937ef1f84bba68ea139e8d1a2258c5f85db9f1cd715a1bdd",
0,
"0x55d398326f99059fF775485246999027B3197955",
"0x0000000000000000000000000000000000000000000000000000000000000000",
10
],
"id": "getblock.io"
}'const axios = require('axios');
const url = 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/';
const payload = {
jsonrpc: '2.0',
method: 'debug_storageRangeAt',
params: [
'0x4e3a3754410177e6937ef1f84bba68ea139e8d1a2258c5f85db9f1cd715a1bdd',
0,
'0x55d398326f99059fF775485246999027B3197955',
'0x0000000000000000000000000000000000000000000000000000000000000000',
10
],
id: 'getblock.io'
};
axios.post(url, payload, {
headers: { 'Content-Type': 'application/json' }
})
.then(response => console.log(response.data))
.catch(error => console.error(error));Response Example
Response Parameters
Parameter
Type
Description
storage
object
Storage key-value pairs
nextKey
string
Next key for pagination
Use Cases
Analyze contract storage
Debug storage issues
State inspection
Error Handling
Error Code
Description
-32602
Invalid params
-32000
Block not found
SDK Integration
Last updated
Was this helpful?